Package org.eclipse.search.ui.text

# Class TextSearchQueryProvider.TextSearchInput

java.lang.Object
org.eclipse.search.ui.text.TextSearchQueryProvider.TextSearchInput

Enclosing class:
  TextSearchQueryProvider

public abstract static class TextSearchQueryProvider.TextSearchInput extends Object
Specified the input for a search query.

Clients may instantiate this class.

## Constructor Summary

Constructors
Constructor
Description
`TextSearchInput()`

## Method Summary

Modifier and Type
Method
Description
`abstract FileTextSearchScope`
`getScope()`
Returns the scope for the search
`abstract String`
`getSearchText()`
Returns the search text to search for.
`abstract boolean`
`isCaseSensitiveSearch()`
Returns whether the search is a case sensitive search or not.
`abstract boolean`
`isRegExSearch()`
Returns whether the search text denotes a regular expression or not.
`boolean`
`isWholeWordSearch()`
Returns whether to require a word boundary at the beginning and end of the pattern, excluding matches that only match part of a word.
`boolean`
`searchInBinaries()`
Returns whether binary files are searched.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TextSearchInput

public TextSearchInput()

## Method Details

### getSearchText

public abstract String getSearchText()
Returns the search text to search for.

Returns:
  the search text, depending on `isRegExSearch()` the search text represents a regular expression or a pattern using '*' and '?' as wildcards. The empty search text signals a file name search.

### isCaseSensitiveSearch

public abstract boolean isCaseSensitiveSearch()
Returns whether the search is a case sensitive search or not.

Returns:
  whether the pattern is to be used case sensitive or not.

### isRegExSearch

public abstract boolean isRegExSearch()
Returns whether the search text denotes a regular expression or not.

Returns:
  whether the pattern denotes a regular expression.

### isWholeWordSearch

public boolean isWholeWordSearch()
Returns whether to require a word boundary at the beginning and end of the pattern, excluding matches that only match part of a word. This implementation returns `false`, subclasses can override.

Returns:
  `true` if the pattern should match only whole words. `true` is not allowed if `isRegExSearch()` returns `true`. In this case, clients can either ignore this option or throw an `IllegalArgumentException`.
Since:
  3.9

### searchInBinaries

public boolean searchInBinaries()
Returns whether binary files are searched. This implementation returns `false`, subclasses can override.

Returns:
  `true` if binary files are searched
Since:
  3.11

### getScope

public abstract FileTextSearchScope getScope()
Returns the scope for the search

Returns:
  the scope for the search